services:
  _defaults:
    public: true

  prestashop.bundle.form.admin.improve.design.theme.page_layout_customization_form_factory:
    class: 'PrestaShopBundle\Form\Admin\Improve\Design\Theme\PageLayoutCustomizationFormFactory'
    arguments:
      - '@form.factory'
      - '@prestashop.core.addon.theme.repository'
      - '@=service("prestashop.adapter.legacy.context").getContext().shop.theme.getName()'
